Настройка драйверов для видеокарты

Автор jeisson, 11 июля 2015, 18:29:45

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

jeisson

В прошлой теме писал о том, что перешел с ubuntu 14.04 на debian 8.1.0. Когда производил установку в экспертном режиме, то оставил домашний каталог не форматируемым, чтобы все сохраненные настройки остались, для браузера, почты и т.д. Получилось, что и настройки проприетарного драйвера nvidia от ubuntu, для видеокарты остались тоже, хотя я не делал установку драйвера для видеокарты на debian. Все работает отлично, даже виндовая программа SketchUp, для моделирования домов запускается без сбоев, но...только на стационарном компе, а вот на ноуте AcerAspire 5330 crossover выдает ошибку и не запускает, говорит, что не работает режим 3D и нужно проверить настройки видеокарты. Вопросы знающим: Как такое возможно? Нужно ли при таких условиях делать установку драйвера для видеокарты на стационарный комп? 

priemhik

Цитата: jeisson от 11 июля 2015, 18:29:45говорит, что не работает режим 3D и нужно проверить настройки видеокарты
Где говорит ?
Покажите вывод  команд 
lspci -k | grep VGA -A2
lspci -k | grep -A 3 -E "(VGA|3D)"




Много Linux OS.

jeisson

Цитата: priemhik от 12 июля 2015, 09:57:01
Цитата: jeisson от 11 июля 2015, 18:29:45говорит, что не работает режим 3D и нужно проверить настройки видеокарты
Где говорит ?
Покажите вывод  команд 
lspci -k | grep VGA -A2
lspci -k | grep -A 3 -E "(VGA|3D)"


Вывод команды : lspci -k | grep VGA -A2
Открыть содержимое (спойлер)
jeisson@debian:~$ lspci -k | grep VGA -A2
01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)
   Subsystem: Gigabyte Technology Co., Ltd Device 3546
   Kernel driver in use: nouveau
[свернуть]
Команда: lspci -k | grep VGA -A2
Открыть содержимое (спойлер)
jeisson@debian:~$ lspci -k | grep -A 3 -E "(VGA|3D)"
01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)
   Subsystem: Gigabyte Technology Co., Ltd Device 3546
   Kernel driver in use: nouveau
01:00.1 Audio device: NVIDIA Corporation GF119 HDMI Audio Controller (rev a1)
[свернуть]

Говорит на ноутбуке, когда запускается установленный виндовый дистрибутив в crossover.

priemhik

У вас установлен  драйвер  для видеокарты    nouveau , пробуйте установить   - NVIDIA   .
Много Linux OS.

jeisson

Цитата: priemhik от 12 июля 2015, 17:56:42
У вас установлен  драйвер  для видеокарты    nouveau , пробуйте установить   - NVIDIA   .
Так я знаю это, про что и написал вопрос. Почитал на форуме отзывы про установку, решил сначала на ноутбуке испытать. Испытал. Проблема такая же как и в других темах, черный экран на ноутбуке, после установки драйвера и неизвестно что дальше делать. Поэтому на стационарном компьютере пока не рискую ставить.

ferum

Цитата: jeisson от 11 июля 2015, 18:29:45Нужно ли при таких условиях делать установку драйвера для видеокарты на стационарный комп? 
Вопрос поставлен не верно. Острой необходимости в установке проприаретарного драйвера для ваших нужд как я понял нет но nvidia лучше других производителей поддерживает свои изделия под linux и работа видеокарты с проприаретарным драйвером заметно лучше чем со свободным. На пример при воспроизведении видео высокой чёткости драйвер vdpau возьмёт всю нагрузку на видеокарту да и качество картинки поприятней.
Если верить описанию в интернете то в вашем ноутбуке вообще очень скромная по теперешним временам видеокарта intel, да и с драйверами на неё сложнее...в общем не стоит их сравнивать, возможности у стационара гораздо предпочтительнее.
Русские дебианщики против цифрового слабоумия !

jeisson

Цитата: ferum от 12 июля 2015, 18:10:14
Цитата: jeisson от 11 июля 2015, 18:29:45
Если верить описанию в интернете то в вашем ноутбуке вообще очень скромная по теперешним временам видеокарта intel, да и с драйверами на неё сложнее...в общем не стоит их сравнивать, возможности у стационара гораздо предпочтительнее.

Ошибаетесь насчет ноутбука, так как там тоже стоит видеокарта nvidia, что и на стационарном, и для моих нужд требуется установка драйверов на обоих девайсах. Рискнул поставить на стационарный. Взял драйвер из репозиториев дебиана. Все прошло успешно. Вот по этой ссылке брал инструкцию: https://debianforum.ru/index.php?topic=5.0 хоть у меня и не 6 дебиан, а 8. Теперь нужно разобраться с ноутбуком.

priemhik

У вас карта  -  GeForce GT 610  ,  устанавливайте  -  драйвер    NVIDIA
Много Linux OS.

su16

#8
jeisson, Чот ты перемудрил, мне кажется. в случае нвидии, для домашней системы (если без выпендрёжа и понтов) то всегда надо ставить проприетарный драйвер с сайта - на сегодня он гарантированно лучше кустарного.

0. удаляем драйвер из репы (это восстановит нуавею)
1. к этому моменту, если ты планируешь запускать 32 битные графические приложения на своём 64 битном дебиане, мультиарч должен быть в активе :

dpkg --add-architecture i386
dpkg --print-foreign-architecture
apt-get update

проприетарный драйвер билдит модули ведра, поэтому ему понадобятся хедеры и компилятор:

apt-get install linux-headers-your-architecture
apt-get install build-essentials

2. идём на сайт нвидии, качаем последний дровень. перезагружаемся в рекавери мод,

chmod 777 NVIDIA_blah_blah_blah.run
./NVIDIA_blah_blah_blah.run

в первом заходе он пожалуется на нуавею и предложет её отключить. соглашаемся (адрес файла блокировки запомни), выходим, перезагружаемся.
3. на втором заходе он ругнётся на то что версия компилятора отличается  от той, на которой собирали ведро. в дебиан 8  это не проблема (на семёрке надо ставить правильный), так что игнор, идём дальше. он сбилдит модули ведра на 64 бита и предложет установить 32 битные либы - если мультиарч настроен (см выше), то соглашаемся.
наконец предложет настроить иксы - соглашаемся.
ребут.
профит.

4. по этой инструкции не бойся что-то сломать - если что-то не сработало:
- возвращаем настройки иксов (/etc/X11/xorg.conf) с нуавеей, которые установщик бережно забекапил.
- удаляем файл блокировки модуля нуавеи (из первого захода).
- удаляем драйвер установщиком: ./NVIDIA_blah_blah_blah.run --uninstall
далее можно попробовать скачать версию драйвера подревнее и попробовать снова с пункта 2, ибо поддержку древних видео карт периодически отковыривают от последней версии дровня.

PS писал по памяти, читаем man, шарим по apt-cache search, если что.
Если вам дают бесплатное, то, скорее всего, товар - это вы.
http://ru.occupyflash.org/

sidbar

Цитата: su16 от 15 июля 2015, 21:39:35поддержку древних видео карт периодически отковыривают от последней версии дровня
Отковыривают сами разработчики? Т.е можно ждать обновления для 8х для старых карт?
Devuan GNU/Linux 4 Chimaera x86_64

su16

#10
наоборот, в смысле они убирают поддержку старых "legacy" карточек из новых драйверов. например, моя старушка  GeForce 5200FX в последнем дровне не поддерживается (смотри "Supported products"). впрочем, та же песня под виндой.

Есть ещё тонкость, что "не все йогурты одинаково полезны" - ряд драйверов, поддерживающих твою карту у Нвидии ведут себя по-разному, какиет-то лучще, какие-то хуже. за современными дровами для новых трёхзначных карт я такого не замечал, а вот в отношении моей 5200 это правило было справедливым. то есть надо пробовать.

а случается это по причине того, что есть несколько веток (бранчей) разработки:
Long Lived aka Stable (основная),
Short Lived aka Betta (временная, позже мёрджится в основную)
legacy более не разрабатывается.

выше я дал попсовую ссылку, она показывает только последний стабильный драйвер, а вот по этим ссылкам бранчи указаны:
http://www.geforce.com/drivers
http://www.nvidia.com/object/unix.html
https://devtalk.nvidia.com/default/topic/533434/linux/current-graphics-driver-releases/

начни с поиска своей карты в списке поддерживаемых на стабильной ветке и стабильной легаси.

Cообщение объединено 16 июля 2015, 23:03:07

я нашёл -  GT 610 поддерживается в самой последней версии.  :D  ставь и смотри, что будет.
Если вам дают бесплатное, то, скорее всего, товар - это вы.
http://ru.occupyflash.org/